{
  "name": "admin-panel",
  "version": "0.1.2",
  "type": "module",
  "author": {
    "name": "callmeye"
  },
  "scripts": {
    "dev": "vite",
    "dev:mock": "vite --mode=development-mock",
    "uat": "vite build --mode=uat",
    "build": "vite build",
    "prettier": "prettier --write  \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\"",
    "preview": "vite preview",
    "docs:api": "node scripts/generate-api-docs.mjs",
    "test": "vite build && vite preview"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.1.0",
    "@iconify/iconify": "^3.1.1",
    "@vueuse/core": "^10.5.0",
    "@vueuse/shared": "^10.5.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.5.1",
    "clipboard": "^2.0.11",
    "cropperjs": "^1.6.1",
    "dayjs": "^1.11.10",
    "echarts": "^5.4.3",
    "element-plus": "2.3.9",
    "fast-glob": "^3.3.1",
    "html2canvas": "^1.4.1",
    "lodash": "^4.17.21",
    "lodash-contrib": "^241.2.1",
    "mitt": "^3.0.1",
    "normalize.css": "^8.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.0",
    "qrcode.vue": "^3.4.1",
    "uuid": "^9.0.1",
    "v-contextmenu": "^3.0.0",
    "vue": "^3.3.5",
    "vue-echarts": "^6.6.1",
    "vue-i18n": "9",
    "vue-jsonp": "^2.0.0",
    "vue-router": "^4.2.5",
    "vuedraggable": "^4.1.0",
    "xlsx": "^0.18.5",
    "xss": "^1.0.14"
  },
  "devDependencies": {
    "@iconify/json": "^2.2.131",
    "@unocss/preset-uno": "^66.4.1",
    "@unocss/transformer-directives": "^66.4.1",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "msw": "^2.10.3",
    "prettier": "^3.0.3",
    "sass": "1.77.6",
    "unocss": "^66.4.1",
    "vite": "^4.5.0",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-purge-icons": "^0.9.2",
    "vite-plugin-svg-icons": "^2.0.1"
  },
  "msw": {
    "workerDirectory": [
      "public"
    ]
  },
  "packageManager": "pnpm@9.14.4+sha512.c8180b3fbe4e4bca02c94234717896b5529740a6cbadf19fa78254270403ea2f27d4e1d46a08a0f56c89b63dc8ebfd3ee53326da720273794e6200fcf0d184ab"
}
